#ifndef __CR_SYSTEM_H__
#define __CR_SYSTEM_H__

#ifndef PCI_EXP_LTR_EN
#define PCI_EXP_LTR_EN		0x400	/* Latency tolerance reporting */
#endif

#ifndef PCI_CAP_LIST_ID
#define PCI_CAP_LIST_ID		0
#define PCI_CAP_ID_EXP		0x10	/* PCI Express */
#define PCI_EXP_LNKCTL		16	/* Link Control */

#define PCI_EXP_DEVCTL		8	/* Device Control */
#define PCI_EXP_DEVCTL2		40	/* Device Control 2 */
#define PCI_EXP_DEVCTL2_ARI	0x20	/* Alternative Routing-ID */
#define PCI_EXP_IDO_REQ_EN	0x100	/* ID-based ordering request enable */
#define PCI_EXP_IDO_CMP_EN	0x200	/* ID-based ordering completion
					 * enable */
#define PCI_EXP_OBFF_MSGA_EN	0x2000	/* OBFF enable with Message type A */
#define PCI_EXP_OBFF_MSGB_EN	0x4000	/* OBFF enable with Message type B */
#define PCI_EXP_OBFF_WAKE_EN	0x6000	/* OBFF using WAKE# signaling */

#endif	/* PCI_CAP_LIST_ID */

#ifndef PCI_EXP_LTR_EN
#define PCI_EXP_LTR_EN		0x400	/* Latency tolerance reporting */
#endif	/* PCI_EXP_LTR_EN */

#ifndef PCI_EXP_MAX_PAYLOAD
#define PCI_EXP_MAX_PAYLOAD	(7<<5)	/* Max PayLoad mask */
#endif  /* PCI_EXP_MAX_PAYLOAD */

#endif	/* __CR_SYSTEM_H__ */
