#!/bin/sh

fdir=`dirname $_`
kversion=`uname -r`
modversion=1.4.3

rm -r ~/rpmbuild/
mkdir -p ~/rpmbuild/{RPMS,SRPMS,BUILD,SOURCES,SPECS,tmp}

cat <<EOF >~/.rpmmacros
%_topdir   %(echo $HOME)/rpmbuild
%_tmppath  %{_topdir}/tmp
EOF

make V=$modversion pack
cp realtek-cr-scsi-$modversion.tar.gz ~/rpmbuild/SOURCES/
rpmbuild -bb --define "kernel $kversion" $fdir/rpmbuild.spec

cp -f `find ~/rpmbuild/RPMS/ -name "realtek-cr-scsi-$modversion*.rpm"` .
