%define modname realtek-cr-scsi
%define modversion 1.4.3
%define modpath /lib/modules/%{kernel}/updates
%define pkgrelease 0

Name: %{modname}
Summary: %{modname} Kernel Module for the %{kernel} kernel
Version: %{modversion}
Release: %{pkgrelease}
License: GPL
Packager: Micky Ching <micky_ching@realsil.com.cn>
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: kernel-module-%{modname} = %{epoch}:%{version}
Source0: %{modname}-%{modversion}.tar.gz

%description
This package provides a %{modname} kernel module for
kernel %{kernel}.

%prep
%setup -q

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%{modpath}
install -m 644 core/rts-cr-core.ko $RPM_BUILD_ROOT/%{modpath}/rts-cr-core.ko
install -m 644 host/rts-cr-host.ko $RPM_BUILD_ROOT/%{modpath}/rts-cr-host.ko

%post
depmod -ae %{kernel} >/dev/null 2>&1 || :

%postun
depmod -ae %{kernel} >/dev/null 2>&1 || :

%files
%{modpath}/rts-cr-core.ko
%{modpath}/rts-cr-host.ko

%changelog
